Bug 249035 - Update ports-mgmt/pkg to 1.15
Summary: Update ports-mgmt/pkg to 1.15
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Package Infrastructure (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Emmanuel Vadot
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-31 15:05 UTC by Emmanuel Vadot
Modified: 2020-09-07 10:03 UTC (History)
0 users

See Also:
antoine: exp-run+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Emmanuel Vadot freebsd_committer 2020-08-31 15:05:55 UTC
Hello,

What we have currently as pkg-devel (1.14.7) is ready (for us) to be 1.15
Could it be possible to do an exp-run with WITH_PKG=devel to see if there is any fallouts from it ?
Since this pkg release fixes order for lua scripts, could it be also possible to include https://reviews.freebsd.org/D23617 with it ? As we want to push this as soon as possible after making pkg 1.15 the required version for ports.

Thanks.
Comment 1 Antoine Brodin freebsd_committer 2020-09-06 08:37:02 UTC
Exp-run looks fine
Comment 2 commit-hook freebsd_committer 2020-09-07 10:02:38 UTC
A commit references this bug:

Author: manu
Date: Mon Sep  7 10:02:02 UTC 2020
New revision: 547886
URL: https://svnweb.freebsd.org/changeset/ports/547886

Log:
  ports-mgmt/pkg: Update to 1.15

  Changes from 1.14.99.6 to 1.14.99.7
  - Default the OSVERSION check to false
  - Fix some errors related to getpwname_r/getgrnam_r
  - Add RISC-V ABI aliases
  - Add '%X' to pkg-query, this print the internal package checksum

  Changes from 1.14.99.5 to 1.14.99.6
  - Run lua scripts before shell scripts
  - unbreak build with -fno-common

  Changes from 1.14.99.4 to 1.14.99.5
  - Fix lua script during pkg_delete
  - Return file type for lua_stat

  Changes from 1.14.99.3 to 1.14.99.4
  - Add function to lua scripts:
    * Simple stat()
    * filecopy to copy a file preserving its attributes
    * filecmp to compare files
    * update sqlite to latest version
    * Add a new 'hash' mode to pkg repo to make repositories CDN friendly
    * Isolate transport protocol to be able to easily change implementations
      in the futur
    * Fix invalid json in even_pipe
    * lots of portability fixes

  Changes from 1.14.99.2 to 1.14.99.3
  - Fix linking on FreeBSD

  Changes from 1.14.99.1 to 1.14.99.2
  - Fix hanging if a script spawn a process and
    it still run after the scripts finish
  - Prevent potential hang with lua scripts
  - For http mirror first try to get the list from the
    full path and then fallback on the root one if we
    didn't find anything.
  - Add a debug message if obtaining the lock fails

  hanges from 1.13.99.7 to 1.14.99.1
  - parallelize the run of the tests
  - Fix VERSION_MINOR expansion
  - Fix chflags tests
  - Bring back pkg create -n but in a consistent way
  - Improve build of sqlite
  - Use mmap in sqlite
  - Update sqlite to latest version
  - Document pkg_create(3)
  - Prepare the land for futur proof remote dependency handling
  - Update usage of pkg set -A and pkg set -v
  - Add pkg create -l (compression level)

  PR:		249035 (exp-run)
  Approved by:	bapt

Changes:
  head/ports-mgmt/pkg/Makefile
  head/ports-mgmt/pkg/distinfo
Comment 3 Emmanuel Vadot freebsd_committer 2020-09-07 10:03:26 UTC
Thanks.